<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>

<?php 
include "class.inifile.php";
//we read the serverwide config file
$serverwideini = new IniFile("/usr/local/etc/webstats/webstats.ini");
$servername = $serverwideini->value("misc","SERVERNAME","not defined/config file not found?");
$vhost_directory = $serverwideini->value("rmagic","VHOSTDIR","VHOSTDIR not defined/config file not found?");
$logs_directory = $serverwideini->value("rmagic","LOGSDIR","LOGSDIR not defined/config file not found?");
$www_directory = $serverwideini->value("rmagic","WWWDIR","WWWDIR not defined/config file not found?");
$webstats_directory = $serverwideini->value("rmagic","WEBSTATSDIR","WEBSTATSDIR not defined/config file not found?");
?>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="generator" content="Macromedia Dreamweaver with the Meta Generator 3.0.0">

<head>
<?php 
echo "<title>Web Statistics for virtual domains at server $servername</title>";
?>
<!--if you like you can point here to your serverwide css file to get
a consistent look for this page and the reports
 -->
<link href="menu.css" type="text/css" rel="STYLESHEET">
</head>

<body bgcolor="#FFFFFF" text="#000000">
<?php
echo "<P>";
echo "<b><h2>web statistics for virtual domains on server: $servername</h2></b>";
echo "<p>";
echo "<table border=0 cellspacing=2 cellpadding=0>";

#we read the directory
$d = dir("$vhost_directory");
while($vhost=$d->read()){
		//we don't want to see the "." and ".."
		//we don't want to see links to virtual directories too
		if ($vhost != "." && $vhost != ".." && !is_link("$vhost_directory/$vhost") ) {
			
			//we read the virtual domain specific config file
			$vhostini = new IniFile("$vhost_directory/$vhost/$www_directory/$webstats_directory/rmagic.ini");
			$vhostname = $vhostini->value("Website","Title","Title of virtual domain not set/local inifile for $vhost.tld not found?");
			$vhosturl = $vhostini->value("Website","Base_URL","Base_URL of virtual domain not set/local inifile for $vhost.tld not found?");
			
			//we draw the table	
			//this is a counter, it must be reset :)
			$i=0;
			//we check if there is at least 1 logfile. 
			//if there's no logfile the domain is probably
			//not connected yet
			$l = dir("$vhost_directory/$vhost/$logs_directory");
			while($logfile=$l->read() ){
				if ($logfile != "." 
				 && $logfile != ".." 
				 && !is_link("$vhost_directory/$vhost/$logs_directory/$logfile") 
				 && (filesize("$vhost_directory/$vhost/$logs_directory/$logfile")>0) 
					){
					$i++;
					}
			}
			//is there a logfile, link to the report
			if ($i > 0){
				echo "<tr>";
				echo "<td><img alt=* src=bullet.gif border=0></td>";
				echo "<td>&nbsp;<a href=$vhosturl/$webstats_directory>$vhostname</a></td>";
				echo "<td>&nbsp;&nbsp;<a href=http://uptime.netcraft.com/up/graph?mode_u=on&mode_w=on&site=$vhosturl&submit=Examine>[netcraft report]</a></td>";
		    		echo "<td><a href=$vhosturl>[site]</a></td>";
				echo "</tr>";
			}
			//if not, grey the domain out...
			else{
				echo "<tr>";
				echo "<td><font color=#CCCCCC><img alt=* src=bullet.gif border=0></font></td>";
				echo "<td><font color=#CCCCCC>&nbsp;$vhostname</td></font>";
				echo "<td><font color=#CCCCCC>&nbsp;&nbsp;[netcraft report]</td></font>";
		    		echo "<td><font color=#CCCCCC>[site] <font size=2><i>domain not connected (yet)</i></font></font></td>";
				echo "</tr>";
			}
		}
	}
echo "<tr>";
echo "<td align=center colspan=4>";
echo "<p>&nbsp;<p>&nbsp;<p>&nbsp; <font size=2 color=#CCCCCC>analyzed by <a href=http://www.statslab.cam.ac.uk/~sret1/analog/>analog</a></font><br>";
echo "<font size=2 color=#CCCCCC>created by <a href=http://www.reportmagic.com/>report magic</a></font><br>";
echo "<font size=2 color=#CCCCCC>collected by <a href=http://patsplanet.com/software/webstats>webstats</a></font>";
echo "</td>";
echo "</tr>";

echo "</table>";
?>

</body>
</html>
